version: '2'  
services:  
  nginx:
    image: nginx:latest
    container_name: nalodeni-nginx
    ports:
      - "80:8001"
    volumes:
      - ./deploy/nginx:/etc/nginx/conf.d
      - vol_static_nalodeni:/static_nalodeni
    depends_on:
      - nalodeni
  nalodeni:
    build: .
    container_name: nalodeni
    command: bash -c "/nalodeni/docker-entrypoint.sh"
    volumes:
      - vol_static_nalodeni:/nalodeni/static_files
    ports:
      - "8000"
    environment:
        - NALODENI_DEBUG=off 
        - NALODENI_DEBUG_LOCAL=off 


volumes:
  vol_static_nalodeni:
